#include <stdio.h>

int main() {
    int s, min, remaining_seconds;

    scanf("%d", &s);

    min = s / 60; // 计算分钟数
    remaining_seconds = s % 60; // 计算剩余的秒数

    printf("%dmin%ds\n", min, remaining_seconds);

    return 0;
}
